﻿/**
* Class: com.kelvinluck.flickr.ExifData
* Class to describe some ExifData as returned by Flickr.
* 
* See Also:
* <Flickr.photosGetExif>
* 
* <FlickrResponseListener.onPhotosGetExif>
* 
* Author:
* Kelvin Luck < kelvin at kelvinluck dot com >
**/
class com.kelvinluck.flickr.ExifData {
	
	/**
	* Variable: tagspace
	**/
	public var tagspace:String;
	/**
	* Variable: tagspaceid
	**/
	public var tagspaceid:Number;
	/**
	* Variable: tag
	**/
	public var tag:Number;
	/**
	* Variable: label
	**/
	public var label:String;
	/**
	* Variable: raw
	**/
	public var raw:String;
	/**
	* Variable: clean
	* A pretty-formatted version of the tag where availabale.
	**/
	public var clean:String;
	
	/**
	* Function: ExifData
	* 
	* Constructor function
	**/
	function ExifData()
	{
	}
	
	function toString():String
	{
		var tagContents:String = clean!=undefined ? clean : raw;
		if (tagContents.length > 20) tagContents = tagContents.substr(0, 20)+"...";
		return "[Object com.kelvinluck.flickr.ExifData ( "+label+" - "+tagContents+")]";
	}
}