﻿import com.kelvinluck.util.LogWrapper;
import com.kelvinluck.flickr.Photo;

/**
* Class: com.kelvinluck.flickr.PhotoSize
* Class to describe the size of a <Photo> from Flickr.
* 
* Currently very bare bones -
* this class will be expanded as I program the
* interaction with the flickr.photos.* Flikr API calls
* 
* See Also:
* <Photo>
* 
* Author:
* Kelvin Luck < kelvin at kelvinluck dot com >
**/
class com.kelvinluck.flickr.PhotoSize {
	
	/**
	* Variable: photo
	* The photo that this PhotoSize is associated with
	**/
	public var photo:Photo;
	/**
	* Variable: label
	* This photo size's label.
	**/
	public var label:String;
	/**
	* Variable: width
	* This <Photo>'s width.
	**/
	public var width:Number;
	/**
	* Variable: height
	* This <Photo>'s height.
	**/
	public var height:Number;
	/**
	* Variable: source
	* This photo size's source.
	**/
	public var source:String;
	/**
	* Variable: url
	* This photo size's url.
	**/
	public var url:String;
	
	/**
	* Function: PhotoSize
	* Constructor function - creates a new PhotoSize object.
	**/
	function PhotoSize(photo:Photo, label:String)
	{
		LogWrapper.getLog().debug("com.kelvinluck.flickr.PhotoSize instance created");
		this.photo = photo;
		this.label = label;
	}
	
	function toString():String
	{
		return "[Object com.kelvinluck.flickr.PhotoSize - "+url+"]";
	}
}